org.keycloak.services.resources.admin.permissions

## Interface RolePermissionEvaluator

-     public interface RolePermissionEvaluator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canList(RoleContainerModel container)`
    `boolean` | `canManage(RoleContainerModel container)`
    `boolean` | `canManage(RoleModel role)`
    `boolean` | `canMapClientScope(RoleModel role)`
    `boolean` | `canMapComposite(RoleModel role)`
    `boolean` | `canMapRole(RoleModel role)`
    `boolean` | `canView(RoleContainerModel container)`
    `boolean` | `canView(RoleModel role)`
    `void` | `requireList(RoleContainerModel container)`
    `void` | `requireManage(RoleContainerModel container)`
    `void` | `requireManage(RoleModel role)`
    `void` | `requireMapClientScope(RoleModel role)`
    `void` | `requireMapComposite(RoleModel role)`
    `void` | `requireMapRole(RoleModel role)`
    `void` | `requireView(RoleContainerModel container)`
    `void` | `requireView(RoleModel role)`

- - ### Method Detail

    - #### canList

          boolean canList(RoleContainerModel container)

    - #### requireList

          void requireList(RoleContainerModel container)

    - #### canMapRole

          boolean canMapRole(RoleModel role)

    - #### requireMapRole

          void requireMapRole(RoleModel role)

    - #### canManage

          boolean canManage(RoleModel role)

    - #### requireManage

          void requireManage(RoleModel role)

    - #### canView

          boolean canView(RoleModel role)

    - #### requireView

          void requireView(RoleModel role)

    - #### canMapClientScope

          boolean canMapClientScope(RoleModel role)

    - #### requireMapClientScope

          void requireMapClientScope(RoleModel role)

    - #### canMapComposite

          boolean canMapComposite(RoleModel role)

    - #### requireMapComposite

          void requireMapComposite(RoleModel role)

    - #### canManage

          boolean canManage(RoleContainerModel container)

    - #### requireManage

          void requireManage(RoleContainerModel container)

    - #### canView

          boolean canView(RoleContainerModel container)

    - #### requireView

          void requireView(RoleContainerModel container)

Copyright © 2021 JBoss by Red Hat. All rights reserved.